#include <cassert>
#include <cstdio>
#include <cstring>
using namespace std;

const int N = 100000;
const int MOD = 1000000000 + 7;

int n, a[N + 1], b[N + 1];

int main() {
    assert(scanf("%d", &n) == 1);
    assert(1 <= n && n <= N);
    a[0] = 0;
    for (int i = 1; i <= n; ++ i) {
        assert(scanf("%d", a + i) == 1);
        assert(0 <= a[i] && a[i] <= 1000000000);
        (a[i] += a[i - 1]) %= MOD;
    }
    b[0] = 0;
    for (int i = 1; i <= n; ++ i) {
        assert(scanf("%d", b + i) == 1);
        assert(0 <= b[i] && b[i] <= 1000000000);
        (b[i] += b[i - 1]) %= MOD;
    }
    int sum = 0;
    for (int i = 1; i <= n; ++ i) {
        int ret = (((long long)a[i] * b[i] - sum) % MOD + MOD) % MOD;
        printf("%d%c", ret, i == n ? '\n' : ' ');
        (sum += ret) %= MOD;
    }
    return 0;
}
