#!/usr/bin/env ruby
require "timeout"

$problem = "permanent"

def generate(args)
    args.each_with_index do |arg, id|
        name = "%02d" %(id + 1)
        puts "#{$problem} \##{name}"
        File.open "#{name}.in", "w" do |f| 
            f.puts yield *arg
        end
        timeout(1) { `./#{$problem} < #{name}.in > #{name}.out` }
    end
end

args = []
20.times do |i|
    args << i + 1
end

`g++ #{$problem}.cpp -o #{$problem} -O2`
generate(args) do |n|
    input = ["#{n} #{1 + rand(10 ** 9)}"]
    n.times do
        a = []
        n.times { a << rand(10 ** 9 + 1) }
        input << a.join(" ")
    end
    input
end
