#include <cassert>
#include <cstdio>
#include <cstring>
using namespace std;

const int N = 20;

int n, m, a[N][N], ways[1 << N];

int main() {
    assert(scanf("%d%d", &n, &m) == 2);
    assert(1 <= n && n <= 20);
    assert(1 <= m && m <= 1000000000);
    for (int i = 0; i < n; ++ i) {
        for (int j = 0; j < n; ++ j) {
            assert(scanf("%d", &a[i][j]) == 1);
            assert(0 <= a[i][j] && a[i][j] <= 1000000000);
        }
    }
    ways[0] = 1;
    for (int mask = 0; mask < 1 << n; ++ mask) {
        int i = __builtin_popcount(mask);
        for (int j = 0; j < n; ++ j) {
            if (~mask >> j & 1) {
#define UPDATE(x, a) (x += a) %= m
                UPDATE(ways[mask | 1 << j], (long long)ways[mask] * a[i][j] % m);
            }
        }
    }
    printf("%d\n", ways[(1 << n) - 1]);
    return 0;
}
